Skip to main content
PATCH
Update the API Guardian configuration (enabled, execution mode, body limit action)

Path Parameters

shieldZoneId
integer<int32>
required

Body

Patch request for updating the global API Guardian configuration. All fields are optional — only provided fields are applied.

isEnabled
boolean | null

Enable or disable API Guardian entirely for this shield zone.

executionMode
enum<integer>

0 = Log 1 = Block

Available options:
0,
1
bodyLimitAction
enum<integer>

0 = Block 1 = Log 2 = Ignore

Available options:
0,
1,
2
unmatchedPathAction
enum<integer>

0 = Block 1 = Log 2 = Ignore

Available options:
0,
1,
2

Response

OK

Response for the PATCH /configuration endpoint.

error
object

Generic response object containing status information for API operations.

data
object

Global API Guardian configuration for a shield zone.